=== debian/control ===
Source: ros-indigo-moveit-object-handling
Section: misc
Priority: extra
Maintainer: Jennifer Buehler <jennifer.e.buehler@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-convenience-ros-functions, ros-indigo-eigen-conversions, ros-indigo-geometry-msgs, ros-indigo-message-generation, ros-indigo-moveit-msgs, ros-indigo-object-msgs, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-shape-msgs, ros-indigo-shape-tools, ros-indigo-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-moveit-object-handling
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-convenience-ros-functions, ros-indigo-eigen-conversions, ros-indigo-geometry-msgs, ros-indigo-moveit-msgs, ros-indigo-object-msgs, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-shape-msgs, ros-indigo-shape-tools, ros-indigo-std-msgs
Description: Package which helps generate the MoveIt! moveit_msgs/CollisionObject messages for existing objects in the scene, described by object_msgs/Object.
 Also provides helper classes for MoveIt! in relation to objects.
